org.apache.fop.render.ps

## Class PSSVGHandler

- java.lang.Object
- - org.apache.fop.render.AbstractGenericSVGHandler
  - - org.apache.fop.render.ps.PSSVGHandler

All Implemented Interfaces:
  PSRendererContextConstants, RendererContextConstants, XMLHandler

    public class PSSVGHandler
    extends AbstractGenericSVGHandler
    implements PSRendererContextConstants

PostScript XML handler for SVG. Uses Apache Batik for SVG processing. This handler handles XML for foreign objects when rendering to PostScript. It renders SVG to the PostScript document using the PSGraphics2D. The properties from the PostScript renderer are subject to change.

Version:
  $Id$

### Nested Class Summary

Nested Classes
`static class` `PSSVGHandler.PSInfo` PostScript information structure for drawing the XML document.

### Field Summary

### Fields inherited from interface org.apache.fop.render.ps.PSRendererContextConstants

`PS_FONT_INFO, PS_GENERATOR`

### Fields inherited from interface org.apache.fop.render.RendererContextConstants

`FOREIGN_ATTRIBUTES, HANDLER_CONFIGURATION, HEIGHT, OUTPUT_STREAM, PAGE_VIEWPORT, WIDTH, XPOS, YPOS`

### Fields inherited from interface org.apache.fop.render.XMLHandler

`HANDLE_ALL`

### Constructor Summary

Constructors
Constructor and Description
`PSSVGHandler()` Create a new PostScript XML handler for use by the PostScript renderer.

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`static PSSVGHandler.PSInfo` `getPSInfo(RendererContext context)` Get the pdf information from the render context.
`protected void` `renderSVGDocument(RendererContext context, Document doc)` Render the svg document.
`boolean` `supportsRenderer(Renderer renderer)` Checks if this XMLHandler supports handling an XML namespace for a particular renderer.

### Methods inherited from class org.apache.fop.render.AbstractGenericSVGHandler

`buildGraphicsNode, createGraphics2DImagePainter, getDocumentURI, getImageSize, getNamespace, handleXML, updateRendererContext`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### PSSVGHandler

    public PSSVGHandler()

Create a new PostScript XML handler for use by the PostScript renderer.

### Method Detail

#### getPSInfo

    public static PSSVGHandler.PSInfo getPSInfo(RendererContext context)

Get the pdf information from the render context.

Parameters:
  `context` - the renderer context
Returns:
  the pdf information retrieved from the context

#### renderSVGDocument

    protected void renderSVGDocument(RendererContext context,
                                     Document doc)

Render the svg document.

Overrides:
  `renderSVGDocument` in class `AbstractGenericSVGHandler`
Parameters:
  `context` - the renderer context
  `doc` - the svg document

#### supportsRenderer

    public boolean supportsRenderer(Renderer renderer)

Checks if this XMLHandler supports handling an XML namespace for a particular renderer.

Specified by:
  `supportsRenderer` in interface `XMLHandler`
Parameters:
  `renderer` - the renderer for which to check.
Returns:
  true if this XML handler supports a particular renderer